unit uIDataModulePresupuestosCliente;

interface

uses
  Classes, uROTypes, uBizPresupuestosCliente, uBizDetallesPresupuestoCliente,
  uIntegerListUtils;

type
  IDataModulePresupuestosCliente = interface
  ['{F0DDD126-9E62-4FEC-A849-FDCA75718F5B}']
    function GetAnosItems : TStringList;    
    function GetItems: IBizPresupuestoCliente; overload;
    function GetItems(const AListaID: TIntegerList) : IBizPresupuestoCliente; overload; 
    function GetItem(const ID : Integer) : IBizPresupuestoCliente;
    function NewItem : IBizPresupuestoCliente;
    function GetPropiedades : IBizPropiedades;
    function GetCapitulo(const TIPO_ARTICULO : String) : IBizCapitulo;
  end;

implementation

end.
